Win a copy of Functional Reactive Programming this week in the Other Languages forum!
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

JDBC Driver configuration in JBOSS 5.1

 
J Imraan
Greenhorn
Posts: 4
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Dear Folks,

Could you please clarify the below questions regarding the JDBC Driver Compatibility With JBOSS 5.1,

1) Can we use "jboss-5.1" with the latest version "mysql-connector-java-5.1.25-bin.jar"?

2) Can we use "jboss-5.1" with the older version "mysql-connector-java-5.0.5-bin.jar"?

3) Can we use "jboss-5.1" with the intermediate version "mysql-connector-java-5.1.18-bin.jar"?

Thanks in advance.
 
Peter Johnson
author
Bartender
Posts: 5852
7
Android Eclipse IDE Ubuntu
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
As far as i know the answer is yes to all three. I've used various version of the 5.0 and 5.1 mysql drivers with JBoss AS. Usually the issue is more with compatibility with mysql - use the driver that has the same version (starts with the same two digits, e.g. 5.1) as the server.
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic